<ion-app>
  <ion-menu side="start" content-id="main-content">
    <ion-header>
      <ion-toolbar color="primary">
        <h3>Filtro marcas</h3>
      </ion-toolbar>
    </ion-header>
    <ion-content>
      <ion-list>
        <ion-item (click)="filter('Ducati')">
          <ion-thumbnail>
            <img src="../../assets/ducati.png">
          </ion-thumbnail>
          <ion-label>Ducati</ion-label>
        </ion-item>
        <ion-item (click)="filter('Yamaha')">
          <ion-thumbnail>
            <img src="../../assets/yamaha.png">
          </ion-thumbnail>          
          <ion-label>Yamaha</ion-label>
        </ion-item>
        <ion-item (click)="filter('Honda')">
          <ion-thumbnail>
            <img src="../../assets/honda.png">
          </ion-thumbnail>
          <ion-label>Honda</ion-label>
        </ion-item>
        <ion-item (click)="filter('todas')">
          <ion-label><b>Todas</b></ion-label>
        </ion-item>
      </ion-list>
    </ion-content>
  </ion-menu>

  <div class="ion-page" id="main-content">
    <ion-header>
      <ion-toolbar color="primary">
        <ion-buttons slot="start">
          <ion-menu-button></ion-menu-button>
        </ion-buttons>
        <ion-title>Mis Motos</ion-title>
      </ion-toolbar>
    </ion-header>
    <ion-content>
      <ion-list>
        <ion-item *ngFor="let moto of motos" (click)="verMoto(moto)">
          <ion-avatar slot="start">
            <img src={{moto.foto}} />
          </ion-avatar>
          <ion-label>
            <h2>{{moto.marca}} {{moto.modelo}}</h2>
          </ion-label>
        </ion-item>
      </ion-list>
      <ion-fab vertical="bottom" horizontal="end" slot="fixed">
        <ion-fab-button (click)="addMoto()">
          <ion-icon name="add"></ion-icon>
        </ion-fab-button>
      </ion-fab>
    </ion-content>
  </div>
</ion-app>

